commit: 5d84164d5999f045f558142c917a71c0ad304ec1
Author: NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 5 04:25:39 2016 +0000
Commit: NP Hardass <np-hardass <AT> gentoo <DOT> org>
CommitDate: Sat Sep 10 19:35:43 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d84164d
app-arch/engrampa: Update p7zip support
Package-Manager: portage-2.3.0
...mpa-1.12.0.ebuild => engrampa-1.10.2-r1.ebuild} | 52 ++++++++++++++--------
...mpa-1.12.0.ebuild => engrampa-1.12.0-r1.ebuild} | 5 +++
.../files/engrampa-1.10.2-p7zip-15.09-compat.patch | 25 +++++++++++
.../files/engrampa-1.10.2-p7zip-15.14-compat.patch | 30 +++++++++++++
4 files changed, 94 insertions(+), 18 deletions(-)
diff --git a/app-arch/engrampa/engrampa-1.12.0.ebuild
b/app-arch/engrampa/engrampa-1.10.2-r1.ebuild
similarity index 59%
copy from app-arch/engrampa/engrampa-1.12.0.ebuild
copy to app-arch/engrampa/engrampa-1.10.2-r1.ebuild
index c1ec897..8a613bc 100644
--- a/app-arch/engrampa/engrampa-1.12.0.ebuild
+++ b/app-arch/engrampa/engrampa-1.10.2-r1.ebuild
@@ -2,53 +2,69 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=6
+EAPI="5"
-MATE_LA_PUNT="yes"
+GCONF_DEBUG="yes"
+GNOME2_LA_PUNT="yes"
-inherit mate
+inherit gnome2 versionator
-if [[ ${PV} != 9999 ]]; then
- KEYWORDS="~amd64 ~arm ~x86"
-fi
+MATE_BRANCH="$(get_version_component_range 1-2)"
+SRC_URI="http://pub.mate-desktop.org/releases/${MATE_BRANCH}/${P}.tar.xz"
DESCRIPTION="Engrampa archive manager for MATE"
+HOMEPAGE="http://mate-desktop.org"
+
LICENSE="GPL-2"
SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
-IUSE="caja gtk3 magic packagekit"
+IUSE="caja magic"
-RDEPEND="
+RDEPEND=">=x11-libs/gtk+-2.24.0:2
>=dev-libs/glib-2.32.0:2
>=dev-libs/json-glib-0.14:0
x11-libs/gdk-pixbuf:2
x11-libs/pango:0
virtual/libintl:0
- caja? ( >=mate-base/caja-1.8[gtk3(-)=] )
- !gtk3? ( >=x11-libs/gtk+-2.24.0:2 )
- gtk3? ( >=x11-libs/gtk+-3.0:3 )
+ caja? ( >=mate-base/caja-1.10:0 )
magic? ( sys-apps/file )
- packagekit? ( app-admin/packagekit-base )
!!app-arch/mate-file-archiver"
DEPEND="${RDEPEND}
- >=dev-util/intltool-0.50.1:*
+ >=dev-util/intltool-0.35:*
dev-util/itstool:0
+ >=mate-base/mate-common-1.8:0
sys-devel/gettext:*
virtual/pkgconfig:*"
+PATCHES=(
+ "${FILESDIR}/${PN}-1.10.2-p7zip-15.09-compat.patch"
+ "${FILESDIR}/${PN}-1.10.2-p7zip-15.14-compat.patch"
+)
+
+src_prepare() {
+ gnome2_src_prepare
+
+ # Drop DEPRECATED flags as configure option doesn't do it, bug #385453
+ sed -i -e 's:-D[A-Z_]*DISABLE_DEPRECATED:$(NULL):g' \
+ copy-n-paste/Makefile.am copy-n-paste/Makefile.in || die
+}
+
src_configure() {
- mate_src_configure \
+ gnome2_src_configure \
--disable-run-in-place \
+ --disable-packagekit \
--disable-deprecations \
- --with-gtk=$(usex gtk3 3.0 2.0) \
+ --with-gtk=2.0 \
$(use_enable caja caja-actions) \
- $(use_enable magic) \
- $(use_enable packagekit)
+ $(use_enable magic)
}
+DOCS="AUTHORS HACKING MAINTAINERS NEWS README TODO"
+
pkg_postinst() {
- mate_pkg_postinst
+ gnome2_pkg_postinst
elog ""
elog "${PN} is a frontend for several archiving utilities. If you want
a"
diff --git a/app-arch/engrampa/engrampa-1.12.0.ebuild
b/app-arch/engrampa/engrampa-1.12.0-r1.ebuild
similarity index 93%
rename from app-arch/engrampa/engrampa-1.12.0.ebuild
rename to app-arch/engrampa/engrampa-1.12.0-r1.ebuild
index c1ec897..48c44f3 100644
--- a/app-arch/engrampa/engrampa-1.12.0.ebuild
+++ b/app-arch/engrampa/engrampa-1.12.0-r1.ebuild
@@ -37,6 +37,11 @@ DEPEND="${RDEPEND}
sys-devel/gettext:*
virtual/pkgconfig:*"
+PATCHES=(
+ "${FILESDIR}/${PN}-1.10.2-p7zip-15.09-compat.patch"
+ "${FILESDIR}/${PN}-1.10.2-p7zip-15.14-compat.patch"
+)
+
src_configure() {
mate_src_configure \
--disable-run-in-place \
diff --git a/app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.09-compat.patch
b/app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.09-compat.patch
new file mode 100644
index 00000000..d0937a8
--- /dev/null
+++ b/app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.09-compat.patch
@@ -0,0 +1,25 @@
+From 4f65bde8fc4d4efe747d4e7fbeba1211469ed79a Mon Sep 17 00:00:00 2001
+From: monsta <[email protected]>
+Date: Thu, 24 Dec 2015 17:11:19 +0300
+Subject: [PATCH] 7z: correct checking for p7zip 15.09+
+
+from https://github.com/GNOME/file-roller/commit/ed9c3fd2
+
+fixes https://github.com/mate-desktop/engrampa/issues/114
+---
+ src/fr-command-7z.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/fr-command-7z.c b/src/fr-command-7z.c
+index 297ba1b..0b784f7 100644
+--- a/src/fr-command-7z.c
++++ b/src/fr-command-7z.c
+@@ -106,7 +106,7 @@ list__process_line (char *line,
+ strncpy (version, ver_start, ver_len);
+ version[ver_len] = 0;
+
+- if (strcmp (version, "4.55") < 0)
++ if ((strcmp (version, "4.55") < 0) && (ver_len > 1) &&
(version[1] == '.'))
+ p7z_comm->old_style = TRUE;
+ else
+ p7z_comm->old_style = FALSE;
diff --git a/app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.14-compat.patch
b/app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.14-compat.patch
new file mode 100644
index 00000000..4e25898
--- /dev/null
+++ b/app-arch/engrampa/files/engrampa-1.10.2-p7zip-15.14-compat.patch
@@ -0,0 +1,30 @@
+From a2a537eb4c263a5b33851572a189fe89476b212e Mon Sep 17 00:00:00 2001
+From: sc0w <[email protected]>
+Date: Wed, 25 May 2016 02:29:21 +0200
+Subject: [PATCH] p7zip-rar 15.14 supported
+
+since 15.14, p7zip-rar uses the plugin Rar.so to handle archives
+
+It can find on /usr/lib/ or /usr/libexec/
+
+If someone has it in another folder, we can add it
+
+Fixes #136
+---
+ src/fr-command-7z.c | 3 ++-
+ 1 file changed, 2 insertions(+), 1 deletion(-)
+
+diff --git a/src/fr-command-7z.c b/src/fr-command-7z.c
+index 20cfa2c..a7d032e 100644
+--- a/src/fr-command-7z.c
++++ b/src/fr-command-7z.c
+@@ -599,7 +599,8 @@ fr_command_7z_get_capabilities (FrCommand *comm,
+ if (is_mime_type (mime_type, "application/x-rar")
+ || is_mime_type (mime_type, "application/x-cbr"))
+ {
+- if (! check_command || g_file_test
("/usr/lib/p7zip/Codecs/Rar29.so", G_FILE_TEST_EXISTS))
++ if (! check_command || g_file_test
("/usr/lib/p7zip/Codecs/Rar29.so", G_FILE_TEST_EXISTS) || g_file_test
("/usr/lib/p7zip/Codecs/Rar.so", G_FILE_TEST_EXISTS)
++ || g_file_test
("/usr/libexec/p7zip/Codecs/Rar29.so", G_FILE_TEST_EXISTS) || g_file_test
("/usr/libexec/p7zip/Codecs/Rar.so", G_FILE_TEST_EXISTS))
+ capabilities |= FR_COMMAND_CAN_READ;
+ }
+ else